﻿/*Date Input*/
.no-value input {
    color: rgb(204,204,204);
}
input[type="date"]::-webkit-calendar-picker-indicator, input[type=number]::-webkit-inner-spin-button, input[type="time"]::-webkit-calendar-picker-indicator {
    display: none;
}
.datepart-clear-value {
    position: absolute;
    right: 5px;
    top: 0;
    bottom: 0;
    width: 25px;
    border-radius: 3px;
    border: none;
    direction: ltr;
    line-height: 170%;
    background-color: transparent;
    display: inline-block;
    color: red;
    font-size: 1.5rem;
    line-height: 1.5rem;
    min-height: 0;
    outline: none;
    vertical-align: top;
}

/*Dropdown*/
.drop-down {
    position: absolute;
    top: calc(100% + 2px);
    /*border: 1px solid rgb(204,204,204);*/
    border: 1px solid rgb(128,128,128);
    border-radius: 3px;
    width: 300px;
    /*height: 260px;*/
    max-height: 325px;
    overflow-y: auto;
    background-color: rgba(255,255,255,1);
    z-index: 100;
}

    .drop-down.hidden {
        display: none;
    }

    .drop-down.left {
        left: 0;
        right: auto;
    }

    .drop-down.right {
        left: auto;
        right: 0;
    }

    .drop-down.width-270 {
        width: 270px;
    }
    .drop-down.width-150 {
        width: 150px;
    }

    .drop-down.width-inherit {
        width: 100%;
    }
.drop-down.bottom {
    top: auto;
    bottom: 43px;
}
    .drop-down.short {
        max-height: 180px;
    }

.dropdown-holder {
    height: 25px;
    width: inherit;
}

    .dropdown-holder > button.selector {
        min-height: 20px;
        height: 25px;
        margin: 0;
    }

button.selector, .hidden-checkbox + label.selector {
    position: relative;
    padding: 0;
    border: none;
    display: block;
    color: rgb(85, 85, 85);
    height: 100%;
    min-height: 38px;
    max-height: 40px;
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    -o-text-overflow: ellipsis;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
    text-align: left;
    font-size: 1rem;
    line-height: 2.5rem;
    border-radius: 3px;
    background-color: transparent;
    width: 100%;
    z-index: 1;
    padding-left: 11px;
}


    .drop-down button.selector, .drop-down .hidden-checkbox + label.selector {
        height: 39px;
    }
button.selector.is-selected, .hidden-checkbox:checked + label.selector {
    width: calc(100% - 6px);
    min-height: 39px;
    max-height: 39px;
    margin: 3px;
    background-color: rgba(97,37,116, 0.1);
    border: 2px solid rgba(97,37,116, 0.5);
    border-radius: 3px;
    padding-left: 6px;
}

.hidden-checkbox + label.selector {

}
.hidden-checkbox:checked + label.selector {
    line-height: 2.1rem;
}

.drop-down button.selector:nth-child(even) {
    /*background-color: rgba(128,128,128, 0.1);*/
}

button.selector.with-icon {
    padding-left: 45px;
}

.drop-down button.selector:hover, .hidden-checkbox + label.selector:hover {
    background-color: rgba(128,128,128, 0.2);
}

/* Confirmation Window */
.confirmation-window {
    position: fixed;
    background-color: rgba(255, 255, 255,1);
    border-radius: 3px;
    box-shadow: 0px 0px 0px 5px darkgray;
    z-index: 1122;
    font-size: 1rem;
}

    .confirmation-window.hidden {
        z-index: 0;
    }

    .confirmation-window.multi-select {
        position: fixed;
        width: 400px;
        height: calc(100% - 60px);
        left: calc(50% - 200px);
        top: 30px;
        z-index: 112;
    }

    .confirmation-window.show-image {
        position: fixed;
        width: 1020px;
        height: 1020px;
        left: calc(50% - 510px);
        top: 10px;
        max-width: calc(100% - 20px);
        max-height: calc(100% - 20px);
        overflow: auto;   
        z-index: 112;
    }

    .confirmation-window.small {
        top: calc(50% - 134px);
        left: calc(50% - 300px);
        width: 600px;
        height: 268px;
    }
    .confirmation-window.tall {
        top: 40px;
        left: calc(50% - 200px);
        width: 400px;
        bottom: 40px;
    }
    .confirmation-window.medium {
        top: calc(50% - 200px);
        left: calc(50% - 450px);
        width: 900px;
        height: 400px;
    }

    .confirmation-window.large {
        top: calc(50% - 270px);
        left: calc(50% - 600px);
        width: 1200px;
        height: 540px;
    }

    .confirmation-window.date-picker {
        top: calc(50% - 275px);
        left: calc(50% - 700px);
        width: 1400px;
        height: 550px;
    }

    .confirmation-window.emar-result {
        top: 10px;
        left: calc(50% - 625px);
        width: 1250px;
        height: calc(100% - 40px);
    }

    .confirmation-window.full-screen {
        top: 10px;
        left: 10px;
        width: calc(100% - 20px);
        height: calc(100% - 20px);
    }

    .confirmation-window .title {
        background-color: cornflowerblue;
        color: rgb(255, 255, 255);
        font-size: 1.4rem;
        line-height: 1.4rem;
        padding-top: 5px;
        padding-left: 10px;
        height: 40px;
        position: absolute;
        top: 0px;
        left: 0px;
        right: 0px;
        border-radius: 3px 3px 0 0;
    }


    .confirmation-window .content-area {
        position: absolute;
        top: 40px;
        left: 0;
        right: 0;
        bottom: 50px;
        padding: 10px;
        font-size: 120%;
        background-color: rgba(255, 255, 255,1);
        line-height: 130%;
        overflow-y: auto;
    }

    .confirmation-window .button-area {
        position: absolute;
        height: 50px;
        left: 0px;
        right: 0px;
        bottom: 0px;
        background-color: rgba(255, 255, 255,1);
        border-radius: 0 0 3px 3px;
    }


        .confirmation-window .button-area button {
            min-height: 30px;
            position: absolute;
            top: 0px;
            bottom: 5px;
            width: 120px;
            border-radius: 3px;
        }

            .confirmation-window .button-area button.one {
                right: 2px;
            }

            .confirmation-window .button-area button.two {
                right: 125px;
            }

            .confirmation-window .button-area button.three {
                right: 250px;
            }

/*Date Picker*/
.datepicker-grid {
    display: grid;
    grid-template-columns: 100px 20px repeat(42, 30px);
}
    .datepicker-day {
        min-height: 25px;
        background-color: transparent;
        color: rgb(29, 29, 29);
        padding: 1px;
        border: none;
        text-align: center;
        font-size: 0.75rem;
        width: 100%;
        height: 30px;
        border-bottom: 1px solid rgb(29,29,29);
    }
        .datepicker-day.date-title {
            color: var(--theme-colour);
            font-weight: bold;
        }
button.datepicker-day {
    cursor: pointer;
}

.datepicker-grid button.datepicker-day.is-link {
    color: rgb(45,137,239);
    font-size: 0.75rem;
    min-height: 0;
    border-bottom: 1px solid rgb(29,29,29);
}
    .datepicker-grid button.datepicker-day.is-link:hover {
        border: none;
        border-bottom: 1px solid rgb(29,29,29);
    }
    .available-dates:nth-child(2n).datepicker-month {
        background-color: rgba(204,204,204, 0.5);
    }

.datepicker-day.selected {
    background-color: rgb(160,160,160);
}

.datepicker-day.today {
    color: red;
    font-weight: bold;
    font-size: 1rem;
}

/*Nullable Checkbox*/
.input-wrapper.custom-tick-box {
    max-width: 40px;
}
button.nullable-tick-box, button.nullable-letter {
    width: 38px;
    height: 38px;
    vertical-align: middle;
    display: inline-block;
    margin: 0;
    min-height: 35px;
    border: none;
    position: relative;
    border-radius: 3px;
    background-color: rgb(255,255,255);
}
    button.nullable-tick-box.null::before {
        content: " ";
        position: absolute;
        top: 2px;
        left: 2px;
        bottom: 2px;
        right: 2px;
        font-size: 1.4rem;
        font-weight: bolder;
        background-color: rgb(192,192,192, 0.5);
        border-radius: 3px;
    }
    button.nullable-tick-box.false::before {
        content: "\2717";
        position: absolute;
        top: 2px;
        left: 2px;
        bottom: 2px;
        right: 2px;
        color: red;
        line-height: 2rem;
        font-size: 1.6rem;
        font-weight: bolder;
    }
    button.nullable-tick-box.true::before {
        content: "\2713";
        position: absolute;
        top: 2px;
        left: 2px;
        bottom: 2px;
        right: 2px;
        color: green;
        line-height: 2rem;
        font-size: 1.6rem;
        font-weight: bolder;
    }

    button.nullable-letter.null::before {
        content: attr(data-label);
        position: absolute;
        top: 2px;
        left: 2px;
        bottom: 2px;
        right: 2px;
        font-size: 1.4rem;
        font-weight: bolder;
        color: rgb(255,255,255);
        background-color: rgb(192,192,192, 0.5);
        border-radius: 3px;
    }

    button.nullable-letter.false::before {
        content: attr(data-label);
        position: absolute;
        top: 2px;
        left: 2px;
        bottom: 2px;
        right: 2px;
        color: red;
        line-height: 2rem;
        font-size: 1.4rem;
        font-weight: bolder;
    }

    button.nullable-letter.true::before {
        content: attr(data-label);
        position: absolute;
        top: 2px;
        left: 2px;
        bottom: 2px;
        right: 2px;
        color: green;
        line-height: 2rem;
        font-size: 1.4rem;
        font-weight: bolder;
    }
/*Date Input*/
input.datepart, span.date-spacer {
    position: relative;
    padding: 5px 0;
    height: 100%;
    background-color: transparent;
    border: none;
    font-size: 1rem;
    position: relative;
    z-index: 1;
    margin-top: 10px;
    left: 0;
    top: 0;
}

span.date-spacer {
    width: 0.7rem;
}

input.datepart.day, input.datepart.month {
    width: 1.2rem;
}

input.datepart.year {
    width: 2.4rem;
}